current battery charge not easily accessible

Reported by Tom Jaeger on 2010-03-16
390
This bug affects 82 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Undecided
Matthew Paul Thomas
gnome-power
New
Undecided
Unassigned
gnome-power-manager (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: gnome-power-manager

Ever since the gnome-power-manager icon transition from the notification area to the indicator applet it is unnecessary complicated to find out what the current battery charge percentage is. We used to be able to just hover over the icon, but now we have to actually open g-p-m, select the 'Laptop Battery' category, and then scroll down in the 'Details' tab. The remaining time estimate is not an adequate replacement for this information, as it is inaccurate and depends on current battery consumption.

I propose that the g-p-m menu include this information whenever the percentage is not 100%. So what currently reads "Laptop battery 1 hour 50 minutes left" should be "Laptop battery 1 hour 50 minutes left (38.4%)". I'll be happy to supply a patch if that's what it takes, but I'm not currently familiar with the g-p-m source.

Chris Coulson (chrisccoulson) wrote :

We just removed the percentage from the menu deliberately, because the menu was far too wide with the extra text. This could probably do with some more thought though

Changed in gnome-power-manager (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
importance: Undecided → Wishlist

Yeah, there's more obvious ways of shortening the menu text, like
writing "1:50" instead of "1 hour and 50 minutes" or dropping "Laptop
battery" altogether.

On 03/16/2010 06:11 PM, Chris Coulson wrote:
> We just removed the percentage from the menu deliberately, because the
> menu was far too wide with the extra text. This could probably do with
> some more thought though
>
> ** Changed in: gnome-power-manager (Ubuntu)
> Importance: Undecided => Wishlist
>
> ** Changed in: gnome-power-manager (Ubuntu)
> Assignee: (unassigned) => Ubuntu Desktop Bugs (desktop-bugs)
>

I use percentage all the time to know the state of my battery - hours only means something if your computer's workload is fairly constant. Mine fluxes wildly between almost zero (Internet browsing) and 100% (encoding video and audio) and percentage lets me work out how fast it's dropping. Please reinstate the tooltip with percentage.

Tacutu (pinguinu-vesel) wrote :

I don't trust the time estimate, I'd much rather see the percentage, so I too vote for bringing back the percentage!

Tom Jaeger (thjaeger) wrote :

I've attached a patch that adds the battery percentage when it is useful. I've also built the package which is temporarily available in my PPA:

https://launchpad.net/~thjaeger/+archive/ppa/+packages

Matt Price (matt-price) wrote :

i'd also really like to have my percentage back -- time estimates are extremely unreliable on my laptop.

Andrew Henry (adhenry) wrote :

Some people prefer time (like me) when the battery is discharging and percent when on mains, and some people prefer percentage all the time. It must be possible to have both as options!

Does the battery actually stop charging when it reaches 100% or does the mains cable constantly charge the battery?

Is there a way using gpm to only charge the battery when it drops below a certain percent? I cannot find info on this anywhere.

Richard Lamont (richard-lamont) wrote :

I would also prefer percentage to time, if there's only room for one. It would also be nice to get the info with just a mouse hover over the icon in the panel, as it was before.

fondle-em (mcribbb) wrote :

I can't believe that they got rid of battery charge percentage in the menu bar completely. Bad enough that I can't just hover over the icon anymore to get the battery's status - now I have to click it in order to get information that's less useful to me than the actual percentage was. Tom Jaeger, thank you for making your patched power manager available above.

Aaditya Bhatia (aadityabhatia) wrote :

The info should be displayed as a tooltip, instead of having to click on the icon to see "time left" and then click outside to dismiss the menu. Percentage should always be visible, as "time left" can vary wildly when using old batteries.

Martin Wildam (mwildam) wrote :

And the time left can vary strongly depending on what you are doing - e.g. using mobile USB internet stick takes quite a lot.

Martin Wildam (mwildam) wrote :

If occupying too much space is the issue (which I can't really see), just change to something like:
~ 3 hours 15 minutes remaining (100%)

See screenshot.

Ricardo Fernández (koshrf) wrote :

Awesome... Now I'm never sure how much time or % my battery has, I need to do like 3 clicks to find the info, and somehow sometimes it is not accurate, this is the first OS that make people click around to find info about the battery, Why change it from the old one when the old one was working like a charm.

Yeah It is really important that people know how much Wh and V the battery has, thats a lot of usefull info that no ones really care.

Just awesome 10.04.

pauljohn32 (pauljohn32) wrote :

I applied this patch (thanks Tom) https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/539912/comments/5
and it does help. Now a click on the battery icon reveals the percent charge. It is very important to me because a 'full charge' is anything above 70%, and the battery time is quite a bit different if the % is 70 or 90.

I wish a hover over that icon would display the %, as it used to do. Having to click on it is a bit inconvenient.

Changed in gnome-power-manager (Ubuntu):
status: New → Triaged
summary: - [lucid] current battery charge not easily accessable
+ current battery charge not easily accessable

I'm agreeing on this. Hover is good. Why abolish something good to no benefit? Bring back the hover data.

Alexander Fomichev (a-fom) wrote :

Lack of space is not explaining reason. For example, my netbook (Samsung NC-10) has a key to show the battery status. And when I press it the libnotify balloon appears. It has enough room for multiple string message. And in Ubuntu 9.10 it contained either percentage or uptime prediction. It is very useful as even no mouse is needed to get to know the battery state.
But now balloon is almost empty with only approximate uptime prediction.

I also miss the tooltip info. I think it disappeared accidentially. I tried to find the reason in the source, but was not successful. It looks like everything is there (compared to karmic version, where it worked). Maybe some signal is not emitted..
I think someone with good knowledge on the code base could fix that with a little debugging.

I think the argument, that on touch devices no hover feature exists,
is poor. Just because those hype things exist, I don't want to miss
features on my real environment.

And BTW: I hate these touch devices because all you get is a dirty
screen and you have to keep the hands up in the air. Silly person who
decided to use touch screens for computers.

--
Martin Wildam

Martin Wildam, don't judge anybody. The choice is good, the determinism is evil.
One decided that touch screens are for the stupid. Another decided that battery percentage is unneeded. They both are wrong.

Dudraug (dudraug) on 2010-05-10
Changed in gnome-power-manager (Ubuntu):
status: Triaged → Incomplete
status: Incomplete → New

On Mon, May 10, 2010 at 00:08, Alexander Fomichev <email address hidden> wrote:
> Martin Wildam, don't judge anybody. The choice is good, the determinism is evil.
> One decided that touch screens are for the stupid. Another decided that battery percentage is unneeded.
> They both are wrong.

OK, you convinced me that this might all be a matter of circumstances
and personal preferences. But if others want a touch-only environment
I want be negatively affected by that. So there should be found a
solution - even if a different one that is useful for both.

Proposal: Keeping the finger for a longer time (e.g. 2 seconds) on the
icon then bring up the status information (= emulation of the hovering
with the mouse - also for hovering a delay is applied before
displaying the information).

The more I think of the touch interfaces the more unhandy I find it -
sorry. My finger is soo big - clicking on a menu half the item is
covered by my finger.

--
Martin Wildam

AFAIK, long press on a visual element emulates right mouse button click. But there would be no harm in implementing both variants: either the menu element for touchscreen users or the tooltip info for mouse/touchpad owners. And of course, hotkey for me :) , I hope they won't get rid of that in future versions.
As for too big fingers, take a look at Android - even tiny and close webpage links can be selected with a thumb in the Google's built-in browser. So I think the matter is a good recognizing algorithm.

Please don't hijack this bug report. This bug is about the removal of
the battery percentage info from g-p-m, not about the way this
information is presented. If you want to argue tooltips vs. indicator
menus, please do so in bug #527458.

On 05/11/2010 03:24 PM, Alexander Fomichev wrote:
> AFAIK, long press on a visual element emulates right mouse button click. But there would be no harm in implementing both variants: either the menu element for touchscreen users or the tooltip info for mouse/touchpad owners. And of course, hotkey for me :) , I hope they won't get rid of that in future versions.
> As for too big fingers, take a look at Android - even tiny and close webpage links can be selected with a thumb in the Google's built-in browser. So I think the matter is a good recognizing algorithm.
>

summary: - current battery charge not easily accessable
+ current battery charge not easily accessible
Martin Wildam (mwildam) wrote :

On Tue, May 11, 2010 at 21:49, Tom Jaeger <email address hidden> wrote:
> Please don't hijack this bug report.  This bug is about the removal of
> the battery percentage info from g-p-m, not about the way this
> information is presented.

The title says it a little different: "current battery charge not
easily accessable"
I think this affects both - that the information should be presented and how.

Of course there is an overlapping with other bugs.
--
Martin Wildam

I solved the issue by building a costumized version of the source package.
In the relevant code parts, there are switches like #ifdef HAVE_APP_INDICATOR. The tooltip is disabled if this macro is set and the percentage values are not shown. This was introduced by a patch that adds support for application indicators (https://bugs.launchpad.net/ubuntu/+source/gnome-media/+bug/497870). AFAIK this should be a replacement for the notification area applet. But it seems we don't have it in lucid. gpm uses an ordinary tray icon.

I'm not sure how to submit my patch cleanly.
So I'll try it like this.
Apply it to the source package.

The first disalbes application indicators in debian/rules.
The second compacts the display of time from %i hours %i minutes to just hh:mm.

am (juniper1982) wrote :

@Florian:

How precisely do you apply your patch? to what source?

Apply it to the extracted source packages.

MateuFalconer (mateu-falconer) wrote :

I don't know if this is the right place to ask this but I'll give it a shot. My original 6-cells battery died and I bought a 12-cells brand new to replace it. Works smoothly and perfect with Ubuntu Lucid. But I can't see exactly how much time has for Lifetime and Charge time. I've been searching ways to fix it but nothing works. I think solution should be restart the profile but how do I do that? thanks

Pedro Villavicencio (pedro) wrote :

Please do not change the status of the reports without adding a comment.

Changed in gnome-power-manager (Ubuntu):
status: New → Triaged
assignee: Ubuntu Desktop Bugs (desktop-bugs) → nobody

Just to be clear, we're letting this usability nightmare go on for
another release, correct?

On 08/18/2010 10:46 PM, Pedro Villavicencio wrote:
> Please do not change the status of the reports without adding a comment.
>
> ** Changed in: gnome-power-manager (Ubuntu)
> Status: New => Triaged
>
> ** Changed in: gnome-power-manager (Ubuntu)
> Assignee: Ubuntu Desktop Bugs (desktop-bugs) => (unassigned)
>

Dylan McCall (dylanmccall) wrote :

As was brought up in bug #629258, this is a huge issue if the time remaining is still being estimated or is completely unknown (which seems to occur very, very frequently on devices we should be supporting well: netbooks). Without showing the percentage, the indicator simply says “estimating” in that case, which is useless.

Maxim Levitsky (maximlevitsky) wrote :

any update? I hate that 'estimating....' thing.
GPM was fully working once, but just broke it hard

papukaija (papukaija) wrote :

@Maxim: Please see bug 629258.

@Everyone: Shouldn't this bug marked as a duplicate of bug 629258?

tags: added: patch
James Haigh (james.r.haigh) wrote :

This bug is one aspect of bug #769114.

James Haigh (james.r.haigh) wrote :

papukaija: No, different bug. That bug is fixed in Unity. Menus in Unity have the ability to dynamically update, which is a significant improvement over the old static menus. I can confirm that I only see 'Laptop battery (estimating...)' for 1 or 2 seconds after the power cable is unplugged.

I would like charge percentage brought back in addition to estimated time.

It would also be nice to have an option to show power there, so I can conserve more battery charge.

James Haigh (james.r.haigh) wrote :

Indicating power will also explain to non-technical users why estimated time suddenly decreases when they start playing YouTube or whatever.

Changed in ayatana-design:
assignee: nobody → Matthew Paul Thomas (mpt)
Changed in ayatana-design:
importance: Undecided → Medium
John Lea (johnlea) on 2012-09-19
Changed in ayatana-design:
importance: Medium → Undecided
Matthew Paul Thomas (mpt) wrote :

With apologies to Tom Jaeger, I'm marking this as a duplicate of a newer bug report that has much more detailed discussion of the merits and drawbacks of showing the percentage.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments